{
	"name": "table/external/moloni/order/order-sales.json",
	"table_name": "order",
	"table_prefix": "ord",
	"record_type": ["sales"],
	"local_table": "order",
	"local_record_type": "sales",
	"field": [
		{
			"field_name": "json_data.fake_record_id",
			"field_type": "text",
			"local_field": "record_id",
			"writeable": false
		},
		{
			"field_name": "date",
			"field_type": "date",
			"local_field": "order_date"
		},
		{
			"field_name": "customer_id",
			"field_type": "integer",
			"local_field": "company_id"
		},
		{
			"field_name": "maturity_date_id",
			"field_type": "integer",
			"local_field": "terms_of_payment_id"
		},
		{
			"field_name": "document_set_id",
			"field_type": "integer",
			"local_field": "json_data.document_set_id"
		},
		{
			"field_name": "expiration_date",
			"field_type": "date",
			"local_field": "json_data.expiration_date"
		},
		{
			"field_name": "our_reference",
			"field_type": "text",
			"local_field": "our_reference"
		},
		{
			"field_name": "your_reference",
			"field_type": "text",
			"local_field": "your_reference"
		},
		{
			"field_name": "number",
			"field_type": "integer",
			"local_field": "json_data.customer_project",
			"writeable": false
		},
		{
			"field_name": "exchange_currency_id",
			"field_type": "integer",
			"local_field": "currency_id"
		},
		{
			"field_name": "entity_number",
			"field_type": "integer",
			"local_field": "company_id"
		},
		{
			"field_name": "status",
			"field_type": "integer",
			"local_field": "order_state",
			"local_field2": "json_data.status"
		},
		{
			"field_name": "lastmodified",
			"field_type": "timestamp",
			"local_field": "modify_time"
		},
		{
			"field_name": "gross_value",
			"field_type": "double",
			"local_field": "price_with_vat"
		},
		{
			"field_name": "net_value",
			"field_type": "double",
			"local_field": "price_without_vat"
		},
		{
			"field_name": "taxes_value",
			"field_type": "double",
			"local_field": "vat_price"
		},
		{
			"field_name": "customer_note",
			"field_type": "text",
			"local_field": "note"
		}
	]
}
